Subject: Re: [PATCH] squash! completion: fill COMPREPLY directly when completing refs

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Feb 2017 12:24:37 -0800

SZEDER Gábor <[email-masked]> writes:

> On Fri, Feb 10, 2017 at 10:44 PM, Junio C Hamano <[email-masked]> wrote:
>
>> Should I expect a reroll to come, or is this the only fix-up to the
>> series that begins at <[email-masked]>?
>>
>> No hurries.
>
> Yes, definitely.
>
> I found a minor bug in the middle of the series, and haven't quite
> made up my mind about it and its fix yet.  Perhaps in a day or three.
>
> Regarding the 'strip' -> 'lstrip' 'for-each-ref' format modifier
> rename that broke pu: I should keep using 'strip', right?

Right.  I view the removal of 'strip' as an accident when 'lstrip'
was introduced, not an intended change.